Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1361831 - [abrt] dnf: testcase_write(): python3.5 killed by SIGSEGV
Summary: [abrt] dnf: testcase_write(): python3.5 killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libsolv
Version: 25
Hardware: x86_64
OS: Unspecified
medium
unspecified
Target Milestone: ---
Assignee: Igor Gnatenko
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:a481c8335d486e5f42167398ec4...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-31 01:13 UTC by Chris Murphy
Modified: 2016-08-04 20:52 UTC (History)
8 users (show)

Fixed In Version: libsolv-0.6.23-2.fc24
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-04 20:52:48 UTC


Attachments (Terms of Use)
File: _var_log_dnf.log (deleted)
2016-07-31 01:13 UTC, Chris Murphy
no flags Details
File: backtrace (deleted)
2016-07-31 01:13 UTC, Chris Murphy
no flags Details
File: cgroup (deleted)
2016-07-31 01:13 UTC, Chris Murphy
no flags Details
File: core_backtrace (deleted)
2016-07-31 01:13 UTC, Chris Murphy
no flags Details
File: dnf-makecache.log (deleted)
2016-07-31 01:13 UTC, Chris Murphy
no flags Details
File: dso_list (deleted)
2016-07-31 01:13 UTC, Chris Murphy
no flags Details
File: environ (deleted)
2016-07-31 01:13 UTC, Chris Murphy
no flags Details
File: exploitable (deleted)
2016-07-31 01:13 UTC, Chris Murphy
no flags Details
File: limits (deleted)
2016-07-31 01:13 UTC, Chris Murphy
no flags Details
File: maps (deleted)
2016-07-31 01:13 UTC, Chris Murphy
no flags Details
File: mountinfo (deleted)
2016-07-31 01:13 UTC, Chris Murphy
no flags Details
File: namespaces (deleted)
2016-07-31 01:13 UTC, Chris Murphy
no flags Details
File: open_fds (deleted)
2016-07-31 01:13 UTC, Chris Murphy
no flags Details
File: proc_pid_status (deleted)
2016-07-31 01:13 UTC, Chris Murphy
no flags Details
File: var_log_messages (deleted)
2016-07-31 01:13 UTC, Chris Murphy
no flags Details
gdb bt attempt2 (deleted)
2016-07-31 01:40 UTC, Chris Murphy
no flags Details


Links
System ID Priority Status Summary Last Updated
Github openSUSE libsolv issues 150 None None None Never

Description Chris Murphy 2016-07-31 01:13:33 UTC
Description of problem:
Always happens when using --debugsolver, doesn't crash without it.

Version-Release number of selected component:
dnf-1.1.9-2.fc25

Additional info:
reporter:       libreport-2.7.2
backtrace_rating: 4
cmdline:        /usr/bin/python3 /usr/bin/dnf --debugsolver group install 'Fedora Workstation' --disablerepo=updates --disablerepo=updates-testing --allowerasing
crash_function: testcase_write
executable:     /usr/bin/python3.5
global_pid:     1609
kernel:         4.8.0-0.rc0.git3.1.fc25.x86_64
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 testcase_write at /usr/src/debug/libsolv-0.6.23/ext/testcase.c:2331
 #1 hy_goal_write_debugdata at /usr/src/debug/hawkey-0.6.3/src/goal.c:888
 #2 write_debugdata at /usr/src/debug/hawkey-0.6.3/src/python/goal-py.c:476
 #3 call_function at /usr/src/debug/Python-3.5.1/Python/ceval.c:4669
 #4 PyEval_EvalFrameEx at /usr/src/debug/Python-3.5.1/Python/ceval.c:3209
 #5 fast_function at /usr/src/debug/Python-3.5.1/Python/ceval.c:4783
 #6 call_function at /usr/src/debug/Python-3.5.1/Python/ceval.c:4710
 #7 PyEval_EvalFrameEx at /usr/src/debug/Python-3.5.1/Python/ceval.c:3209
 #8 _PyEval_EvalCodeWithName at /usr/src/debug/Python-3.5.1/Python/ceval.c:3995
 #9 fast_function at /usr/src/debug/Python-3.5.1/Python/ceval.c:4793

Comment 1 Chris Murphy 2016-07-31 01:13:39 UTC
Created attachment 1185863 [details]
File: _var_log_dnf.log

Comment 2 Chris Murphy 2016-07-31 01:13:40 UTC
Created attachment 1185864 [details]
File: backtrace

Comment 3 Chris Murphy 2016-07-31 01:13:41 UTC
Created attachment 1185865 [details]
File: cgroup

Comment 4 Chris Murphy 2016-07-31 01:13:42 UTC
Created attachment 1185866 [details]
File: core_backtrace

Comment 5 Chris Murphy 2016-07-31 01:13:43 UTC
Created attachment 1185867 [details]
File: dnf-makecache.log

Comment 6 Chris Murphy 2016-07-31 01:13:44 UTC
Created attachment 1185868 [details]
File: dso_list

Comment 7 Chris Murphy 2016-07-31 01:13:45 UTC
Created attachment 1185869 [details]
File: environ

Comment 8 Chris Murphy 2016-07-31 01:13:46 UTC
Created attachment 1185870 [details]
File: exploitable

Comment 9 Chris Murphy 2016-07-31 01:13:47 UTC
Created attachment 1185871 [details]
File: limits

Comment 10 Chris Murphy 2016-07-31 01:13:48 UTC
Created attachment 1185872 [details]
File: maps

Comment 11 Chris Murphy 2016-07-31 01:13:49 UTC
Created attachment 1185873 [details]
File: mountinfo

Comment 12 Chris Murphy 2016-07-31 01:13:50 UTC
Created attachment 1185874 [details]
File: namespaces

Comment 13 Chris Murphy 2016-07-31 01:13:50 UTC
Created attachment 1185875 [details]
File: open_fds

Comment 14 Chris Murphy 2016-07-31 01:13:51 UTC
Created attachment 1185876 [details]
File: proc_pid_status

Comment 15 Chris Murphy 2016-07-31 01:13:52 UTC
Created attachment 1185877 [details]
File: var_log_messages

Comment 16 Chris Murphy 2016-07-31 01:15:47 UTC
Jul 30 19:11:26 localhost.localdomain audit[2083]: ANOM_ABEND auid=0 uid=0 gid=0 ses=4 subj=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 pid=2083 comm="dnf" exe="/usr/bin/python3.5" sig=11
Jul 30 19:11:26 localhost.localdomain kernel: traps: dnf[2083] general protection ip:7fe4d1c7cb6e sp:7ffd5adee6b0 error:0 in libsolvext.so.0[7fe4d1c70000+28000]
Jul 30 19:11:26 localhost.localdomain abrt-hook-ccpp[2084]: Process 2083 (python3.5) of user 0 killed by SIGSEGV - dumping core

Comment 17 Chris Murphy 2016-07-31 01:40:58 UTC
Created attachment 1185878 [details]
gdb bt attempt2

The abrt produced backtrace ends with:
Timeout exceeded: 240 seconds, killing gdb.
Looks like gdb hung while generating backtrace.

So this is created running gdb manually, after adding a bunch of extra requested debuginfo packages.

Comment 18 Igor Gnatenko 2016-07-31 08:04:35 UTC
looks like started happening after updating to 0.6.23... I will try to check it.

Comment 19 Igor Gnatenko 2016-07-31 16:46:56 UTC
ce6d40a2570a7dcff6e05264cd40c1fb3b1e596e is the first bad commit
commit ce6d40a2570a7dcff6e05264cd40c1fb3b1e596e
Author: Michael Schroeder <mls@suse.de>
Date:   Mon Jun 13 15:14:38 2016 +0200

    Make sure that all repos have different names in a testcase

:040000 040000 7537df073000565e71be702080a7a2ad1cdfaf51 059e176a8fcda5f57247bb0257f9433c58d1d723 M	ext

Comment 20 Fedora Update System 2016-08-03 12:44:38 UTC
libsolv-0.6.23-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-90044abf59

Comment 21 Fedora Update System 2016-08-04 01:54:35 UTC
libsolv-0.6.23-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-90044abf59

Comment 22 Fedora Update System 2016-08-04 20:52:45 UTC
libsolv-0.6.23-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.